Package twisted :: Package manhole :: Module service

[show private | hide private]
[frames | no frames]

## Module twisted.manhole.service

Classes
`FakeStdIO` |
`IManholeClient` |
`Perspective` |
`Service` |

Function Summary
| ``runInConsole`(command, console, globalNS, localNS, filename, args, kw)` Run this, directing all output to the specified console.
| ``_failureOldStyle`(fail)` Pre-Failure manhole representation of exceptions.

Variable Summary
`dictionary` | `_defaultCapabilities`

Function Details

### runInConsole(command, console, globalNS=None, localNS=None, filename=None, args=None, kw=None)

Run this, directing all output to the specified console.

If command is callable, it will be called with the args and keywords provided. Otherwise, command will be compiled and eval'd. (Wouldn't you like a macro?)

Returns the command's return value.

The console is called with a list of (type, message) pairs for display, see `IManholeClient.console`.

### _failureOldStyle(fail)

Pre-Failure manhole representation of exceptions.

For compatibility with manhole clients without the "Failure" capability.

A dictionary with two members:

- 'traceback' -- traceback.extract_tb output; a list of tuples (filename, line number, function name, text) suitable for feeding to traceback.format_list.
- 'exception' -- a list of one or more strings, each ending in a newline. (traceback.format_exception_only output)

Variable Details

### _defaultCapabilities

  Type:
    `dictionary`
  Value:

        {'Explorer': 'Set'}

Generated by Epydoc 1.1 on Sat Feb 15 21:19:08 2003 | http://epydoc.sf.net